{{ "L3 VNIs" | comment }}


{% set l3 = tenants.l3domain %}
{% for domain in l3 %}
{% if domain in devices[inventory_hostname].vrfs %}
auto vni{{ 400000 + l3[domain].id }}
iface vni{{ 400000 + l3[domain].id }}
    bridge-access {{ l3[domain].id }}
    bridge-arp-nd-suppress on
    bridge-learning off
    mstpctl-bpduguard yes
    mstpctl-portbpdufilter yes
    vxlan-id {{ 400000 + l3[domain].id }}
    vxlan-local-tunnelip {{ devices[inventory_hostname].interfaces.loopback.ipv4|ipaddr('address')}}
    mtu 9050

auto vlan{{ l3[domain].id }}
iface vlan{{ l3[domain].id }}
    address-virtual {{ devices[inventory_hostname].sysmac }}
    vlan-id {{ l3[domain].id }}
    vlan-raw-device bridge
    vrf {{ domain }}
    mtu 9216
{% endif %}
{% endfor %}
